<p align="center">
    <img height="256" src='https://Tools.PJ568.eu.org/img/icon.svg'/>
</p>

> 🌏简体中文 | [English](./README_EN.md)

> 🗃️[Github](https://github.com/PJ-568/568tools) | [Gitee](https://gitee.com/PJ-568/568tools) | [GitLab](https://gitlab.com/PJ-568/568tools/)

# <img height="30" style="margin: -3px 5px;" src="https://Tools.PJ568.eu.org/img/icon.svg"/>568Tools 在线工具箱

* <img height="15" src="https://Tools.PJ568.eu.org/img/icon.svg"/> 568Tools 在线工具箱是在线工具的集合。使用大部分工具无需注册、下载或上传到服务器。

<a style="font-size:14px;margin:10px 0.8%;border:2px solid #0277BD;border-radius:6px;background:#424242;width:200px;min-height:62px;line-height:20px;box-sizing:border-box;display:flex;align-items:center" href="https://Tools.PJ568.eu.org/"><img height="15" src="https://tools.PJ568.eu.org/img/icon.svg"/> 点击访问</a>

## 🪴项目活动

![Project Activity](https://repobeats.axiom.co/api/embed/0e0b27c01d4e9ff093fb3d03fedc74a300068f50.svg "Repobeats analytics image")

## 📚服务涵盖

* 文件转换；
* 加密解密；
* 站长工具；
* 代码开发；
* 生活相关；
* ……

## 📖其他说明

* `本项目和其使用的开源项目允许修改，但请保留原作者信息。确需去除，请联系作者，以免失去技术支持。`详情请参照[许可证](https://Tools.PJ568.eu.org/about/#1)。
* 欢迎[提交页面或链接](https://Tools.pj568.eu.org/application)。
* 项目基于[fly63在线工具箱](https://github.com/mydearcc/tools)，向他们表示诚挚的感谢！
* 出现 BUG 请提出 `Issue` ，我会修复。
* 期待您的 `Commitment` 。

## ✅待完成

* [ ] 适配搜索栏，使其能够正常使用。
* [X] ~~多语言支持。~~
* [X] ~~构建`关于`页面；~~
  * [ ] 做到能够查询所有项目的许可证和信息。
* [X] ~~构建`留言反馈`页面，做到无后端。~~
* [X] ~~构建`提交页面`页面。~~
* [ ] 修复右键菜单中的`在新标签页打开`按钮。
* [X] ~~添加`加载`动画。~~
* [ ] ……

## 🏆贡献者们

> 感谢所有让这个项目变得更好的贡献者们！

[![Contributors Chart](https://contrib.rocks/image?repo=PJ-568/568tools)](https://github.com/PJ-568/568tools/graphs/contributors)

## 💻代码贡献

欢迎每一位对本项目感兴趣的朋友贡献代码。

### 参考

* Fork 源码，下载到本地并运行项目；
* 添加/修改代码；
* <b style="color:red">⚠️对相关改动进行全面的自我测试⚠️</b>；
* 确认无误后提交修改到 Github；
* 提交 Pull Request；

### 请注意

* 单次 Pull Request 不应提交过多修改，请确保每次提交都针对特定的功能且务必说明本次改动的具体目的，例如：修复某 bug 、优化某方法 等，方便进行 Code Review；
* 对于 bug 的修复，应该将本次 Pull Request 和相对应 bug 的 issue 关联起来，让别人知道该问题已经被修复；
* 对于较大的新功能，你需要先提交 Issues，例如 “添加 XXX 功能”，确认该功能有被添加的必要后，再开始工作；
* 对于一些主观的样式、交互逻辑调整：如颜色、图标的使用，某些预设配置的增减修改等，一般不予通过。但可以在 Discussions 中进行讨论；

* 其他如简单的代码优化、文档修正等，只要修改合理都会被接受。

## ⭐Star 历史

![Star History Chart](https://api.star-history.com/svg?repos=PJ-568/568tools&type=Date)

## 📄许可证

本项目遵循 [Apache License Version 2.0](http://www.apache.org/licenses/LICENSE-2.0) 许可协议。如果想了解完整许可信息，请查阅 `LICENSE` 文件或访问[关于页面](https://Tools.PJ568.eu.org/about/#1)。

### 🗃️附加许可证

* Base64：[MIT license](https://mit-license.org)；
  * [Github](//github.com/SFantasy/Base64)；
* Black_screen：[Apache License Version 2.0](http://www.apache.org/licenses/LICENSE-2.0)；
  * [Github](//github.com/PJ-568/Black_screen/LICENSE)、[Gitee](//gitee.com//PJ-568/Black_screen/LICENSE)；
* translate：[Apache License Version 2.0](http://www.apache.org/licenses/LICENSE-2.0)；
  * [Github](https://github.com/xnx3/translate/blob/master/LICENSE)、[Gitee](https://gitee.com/mail_osc/translate/blob/master/LICENSE)；
* giscus：[MIT license](https://mit-license.org)；
  * [Github](https://github.com/giscus/giscus/blob/main/LICENSE)；
* BullshitGenerator：[Anti-996 License 1.0](https://github.com/kattgu7/Anti-996-License)；
  * [Github](https://github.com/menzi11/BullshitGenerator)；
* DWV：[GPL-3.0 license](https://www.gnu.org/licenses/gpl-3.0.en.html)；
  * [Github](https://github.com/ivmartel/dwv/license.txt)；
* FactsAboutNuc-pollutedWater：[Apache License Version 2.0](http://www.apache.org/licenses/LICENSE-2.0)；
  * [Github](https://github.com/SaveSeaFromNuc-pollutedWater/FactsAboutNuc-pollutedWater/LICENSE)；
* geopattern：[MIT license](https://mit-license.org)；
  * [Github](https://github.com/jasonlong/geo_pattern/license.txt)；
* Hamud_Book：[Apache License Version 2.0](http://www.apache.org/licenses/LICENSE-2.0)；
  * [Github](https://github.com/Hamud-Lang/Hamud_Book/LICENSE)、[Gitee](https://gitee.com/Hamud-Lang/Hamud_Book/LICENSE)；
* ide：[MIT license](https://mit-license.org)；
  * [Github](https://github.com/judge0/ide/blob/master/LICENSE)；
* keyboard-mouse-tester-webApp；
  * [Github](https://github.com/shawon9324/keyboard-mouse-tester-webApp/LICENSE)；
* mind-map：[MIT license](https://mit-license.org)；
  * [Github](https://github.com/wanglin2/mind-map/LICENSE)；
* rust-course；
  * [Github](https://github.com/sunface/rust-course/)；
* rusty-book：[CC-BY-4.0 license](https://freedomdefined.org/Licenses/CC-BY-4.0)；
  * [Github](https://github.com/rustlang-cn/rusty-book//LICENSE)；
* Universal-LPC-Spritesheet-Character-Generator：[GPL-3.0 license](http://www.apache.org/licenses/LICENSE-2.0)；
  * [Github](https://github.com/basxto/Universal-Spritesheet-Character-Generator/LICENSE)；
* v86：[BSD-2-Clause license](https://opensource.org/license/bsd-2-clause/)；
  * [Github](https://github.com/copy/v86/blob/master/LICENSE)；
* wangEditor：[MIT license](https://mit-license.org)；
  * [Github](https://github.com/wangeditor-team/wangEditor/blob/master/LICENSE)；
* webp2jpg-online：[Apache License Version 2.0](http://www.apache.org/licenses/LICENSE-2.0)；
  * [Github](https://github.com/renzhezhilu/webp2jpg-online/blob/master/LICENSE)。
