<p align="center">
    <img height="256" src='https://Tools.PJ568.eu.org/img/icon.svg' />
</p>

> 🌏[简体中文](./README.md) | English

> 🗃️[Github](https://github.com/PJ-568/568tools) | [Gitee](https://gitee.com/PJ-568/568tools) | [GitLab](https://gitlab.com/PJ-568/568tools/)

# <img height="30" style="margin: -3px 5px;" src="https://Tools.PJ568.eu.org/img/icon.svg"/>568Tools Online Toolbox

* <img height="15" src="https://Tools.PJ568.eu.org/img/icon.svg"/> 568Tools Online Toolbox is a collection of online tools. Using most tools do not require registration, download, or upload to a server.

<a style="font-size:14px;margin:10px 0.8%;border:2px solid #0277BD;border-radius:6px;background:#424242;width:200px;min-height:62px;line-height:20px;box-sizing:border-box;display:flex;align-items:center" href="https://Tools.PJ568.eu.org/"><img height="15" src="https://tools.PJ568.eu.org/img/icon.svg"/> Click me to visit</a>

## 🪴Project Activity

![Project Activity](https://repobeats.axiom.co/api/embed/0e0b27c01d4e9ff093fb3d03fedc74a300068f50.svg "Repobeats analytics image")

## 📚Features

* File Converter.
* Encryption & decryption.
* Webmaster tools.
* Code development.
* Life-related.
* ...

## 📖Infomation

* `This project and the open source projects which are used are allowed to modify, as long as you retain the original author information. If you want to remove it, please contact the author or you may lose technical support.` Please refer to [license](https://Tools.PJ568.eu.org/about/#1).
* [Submit your own pages or links](https://Tools.PJ568.eu.org/application) is welcomed.
* This project is based on [fly63在线工具箱](https://github.com/mydearcc/tools) (fly63 Online Toolbox). We would like to express my sincere thanks to them!
* If there is a BUG, please shoot an `Issue` and I will fix it.
* `Commitment` is also welcomed.

## ✅To Do List

* [ ] Fix Search, make it functional.
* [X] ~~Multilingual support.~~
* [X] ~~Build `about` page.~~
  * [ ] Make it be able to query license and info for all projects.
* [X] ~~Build `comment` page, make it without back end.~~
* [X] ~~Build `application` page.~~
* [ ] Make `open-in-new-tab` in ContextMenu functional.
* [X] ~~Add `loading` .~~
* [ ] ...

## 🏆Contributors

> Thanks to all the contributors who made this project better!

[![Contributors Chart](https://contrib.rocks/image?repo=PJ-568/568tools)](https://github.com/PJ-568/568tools/graphs/contributors)

## 💻Make Contributions

Every contributions to this project is welcomed.

### Steps

* Fork. Download and run the whole project locally.
* Add or modify the project.
* <b style="color:red">⚠️Conduct comprehensive tests on the relevant modifications.</b>
* Confirm and submit the changes to Github.
* Pull Requests.

### Things to Note

* A pull request should not commit too many changes. Make sure that each commit is for a specific feature and that you specify the purpose of the change, for example: fixed XX bug, optimizing XX method, etc. All for the convenience of code review.
* For bug fixes, you should associate your pull request with the issue of the corresponding bug to let others know that the problem has been fixed.
* For greater new features, you should submit an Issues first, such as "Add XXX feature". Confirm that the feature is necessary to be added before starting work.
* For subjective style and interaction logic adjustments, such as the use of colors and icons, as well as adding or modifying certain preset configurations, they are generally not approved. However, you can discuss them in the Discussions section.
* For other tasks like simple code optimizations and document corrections, as long as the modifications are reasonable, they will be accepted.

## ⭐Star History

![Star History Chart](https://api.star-history.com/svg?repos=PJ-568/568tools&type=Date)

## 📄License

Licensed under the terms of [Apache License Version 2.0](http://www.apache.org/licenses/LICENSE-2.0). For full details about the license, please check the `LICENSE` file or [About Page](https://Tools.PJ568.eu.org/about/#1).

### 🗃️Licenses

* Base64：[MIT license](https://mit-license.org),
  * [Github](//github.com/SFantasy/Base64),
* Black_screen：[Apache License Version 2.0](http://www.apache.org/licenses/LICENSE-2.0),
  * [Github](//github.com/PJ-568/Black_screen/LICENSE)、[Gitee](//gitee.com//PJ-568/Black_screen/LICENSE),
* translate：[Apache License Version 2.0](http://www.apache.org/licenses/LICENSE-2.0),
  * [Github](https://github.com/xnx3/translate/blob/master/LICENSE)、[Gitee](https://gitee.com/mail_osc/translate/blob/master/LICENSE),
* giscus：[MIT license](https://mit-license.org),
  * [Github](https://github.com/giscus/giscus/blob/main/LICENSE)。
* BullshitGenerator：[Anti-996 License 1.0](https://github.com/kattgu7/Anti-996-License),
  * [Github](https://github.com/menzi11/BullshitGenerator),
* DWV：[GPL-3.0 license](https://www.gnu.org/licenses/gpl-3.0.en.html),
  * [Github](https://github.com/ivmartel/dwv/license.txt),
* FactsAboutNuc-pollutedWater：[Apache License Version 2.0](http://www.apache.org/licenses/LICENSE-2.0),
  * [Github](https://github.com/SaveSeaFromNuc-pollutedWater/FactsAboutNuc-pollutedWater/LICENSE),
* geopattern：[MIT license](https://mit-license.org),
  * [Github](https://github.com/jasonlong/geo_pattern/license.txt),
* Hamud_Book：[Apache License Version 2.0](http://www.apache.org/licenses/LICENSE-2.0),
  * [Github](https://github.com/Hamud-Lang/Hamud_Book/LICENSE)、[Gitee](https://gitee.com/Hamud-Lang/Hamud_Book/LICENSE),
* ide：[MIT license](https://mit-license.org),
  * [Github](https://github.com/judge0/ide/blob/master/LICENSE),
* keyboard-mouse-tester-webApp,
  * [Github](https://github.com/shawon9324/keyboard-mouse-tester-webApp/LICENSE),
* mind-map：[MIT license](https://mit-license.org),
  * [Github](https://github.com/wanglin2/mind-map/LICENSE),
* rust-course,
  * [Github](https://github.com/sunface/rust-course/),
* rusty-book：[CC-BY-4.0 license](https://freedomdefined.org/Licenses/CC-BY-4.0),
  * [Github](https://github.com/rustlang-cn/rusty-book//LICENSE),
* Universal-LPC-Spritesheet-Character-Generator：[GPL-3.0 license](http://www.apache.org/licenses/LICENSE-2.0),
  * [Github](https://github.com/basxto/Universal-Spritesheet-Character-Generator/LICENSE),
* v86：[BSD-2-Clause license](https://opensource.org/license/bsd-2-clause/),
  * [Github](https://github.com/copy/v86/blob/master/LICENSE),
* wangEditor：[MIT license](https://mit-license.org),
  * [Github](https://github.com/wangeditor-team/wangEditor/blob/master/LICENSE),
* webp2jpg-online：[Apache License Version 2.0](http://www.apache.org/licenses/LICENSE-2.0),
  * [Github](https://github.com/renzhezhilu/webp2jpg-online/blob/master/LICENSE).
